centos5.8编译vlc2.0.0问题

GP001 发布于 2012/06/01 10:16
阅读 1K+
收藏 1

【领华为电脑包】容器化时代到来!跳转机分配问题终于“有救”了!>>>

 

最近因为要用到vlc来测试软件,所以要编译安装vcl。我在网上找到了一篇在centos5.8下编译vlc的文章,如下:

使用 Source Code 重新編譯 VLC Player

最新版VLC:http://download.videolan.org/pub/videolan/vlc/last/

[root@localhost ~]# yum -y install glibc gcc gcc-c++ autoconf automake libtool
[root@localhost ~]# yum -y install yasm nasm
[root@localhost ~]# yum -y install lua-devel libmad-devel ffmpeg-devel a52dec-devel libxcb-devel libX11-devel mesa-libGLU-devel dbus-devel fribidi fribidi-devel poppler-qt4-devel libgcrypt-devel

[root@localhost ~]# wget -c http://download.videolan.org/pub/videolan/vlc/0.9.9a/vlc-0.9.9a.tar.bz2
[root@localhost ~]# tar -xvf vlc-0.9.9a.tar.bz2
[root@localhost ~]# cd vlc-0.9.9a
[root@localhost vlc-0.9.9a]# ./configure --enable-run-as-root --disable-qt4 --disable-skins2
[root@localhost vlc-0.9.9a]#  make
[root@localhost vlc-0.9.9a]#  make install 

[root@localhost ~]# yum install libmpeg2-devel

[root@localhost ~]# wget -c http://download.videolan.org/pub/libdvbpsi/0.1.6/libdvbpsi5-0.1.6.tar.bz2
[root@localhost ~]# tar -xvf libdvbpsi5-0.1.6.tar.bz2
[root@localhost ~]# cd libdvbpsi5-0.1.6
[root@localhost libdvbpsi5-0.1.6]# ./configure
[root@localhost libdvbpsi5-0.1.6]# make
[root@localhost libdvbpsi5-0.1.6]# make install

 

 

但发现不能通过。我想问各位大侠,有vlc编译的说明文档可以查看,比如编译vlc要什么库文件,什么环境,等等最好版本控制也有。谢谢!

加载中
0
卫卫
卫卫
我在学习Windows上的VLC编译,请问你是否了解?
返回顶部
顶部